> For the complete documentation index, see [llms.txt](https://docs.kaiko.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kaiko.com/rest-api/data-feeds/reference-data/basic-tier/on-chain-pools.md).

# On-Chain pools

{% hint style="info" %}
You can explore all exchanges, assets, and get codes for them using our [instrument explorer](https://instruments.kaiko.com/#/instruments). Alternatively, if you want to obtain the data in a more programmatic way, use this endpoint.
{% endhint %}

### What is this endpoint for?

This endpoint retrieves a list of all pools supported by Kaiko. This can help you identify which markets are available when working with our data.

### Endpoint

```
https://reference-data-api.kaiko.io/v1/pools
```

### Parameters

| Field        | Required? | Description                                                                                                |
| ------------ | --------- | ---------------------------------------------------------------------------------------------------------- |
| `blockchain` | No        | Filter on a specific blockchain.                                                                           |
| `protocol`   | No        | Exchange `code`. See [Exchange codes](/rest-api/data-feeds/reference-data/basic-tier/exchange-codes.md)    |
| `tokens`     | No        | The desired asset `code`. See [Asset codes](/rest-api/data-feeds/reference-data/basic-tier/asset-codes.md) |

No parameters supported

### Fields

| Field         | Description                                                                                                                                                                                                  |
| ------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `blockchain`  | The blockchain.                                                                                                                                                                                              |
| `address`     | The blockchain address of the pool.                                                                                                                                                                          |
| `name`        | The name of the pool.                                                                                                                                                                                        |
| `protocol`    | <p>The protocol code.</p><p>Ex:<code>usp3</code>,<code>aav3</code>, <code>curv</code>, <code>blc2</code></p>                                                                                                 |
| `type`        | The pool type.                                                                                                                                                                                               |
| `fee`         | The fee tier.                                                                                                                                                                                                |
| `tokens`      | <p>Table of each token in the pool. Some pools have 1 token (lending vaults), some can have up to 8 tokens (Balancer DEX).</p><p>Format:</p><p><code>\[{blockchain, address, symbol, decimals}, ]</code></p> |
| `tickSpacing` | For concentrated liquidity pools.                                                                                                                                                                            |
| `weights`     | For Balancer weighted pools.                                                                                                                                                                                 |

### Request example

{% tabs %}
{% tab title="cURL" %}
{% code overflow="wrap" %}

```url
curl --compressed -H 'Accept: application/json' 'https://reference-data-api.kaiko.io/v1/pools'
```

{% endcode %}
{% endtab %}
{% endtabs %}

### Response example

{% tabs %}
{% tab title="JSON" %}
{% code fullWidth="false" %}

```json
{
    "result": "success",
    "count": 1537,
    "data":
    [
        {
            "blockchain": "bsc",
            "address": "0x0004222c2075e9a1291e41f1ca4c8d32141db501",
            "name": "MBOX-WBNB-0.003",
            "protocol": "pks3",
            "type": "liquidity_pool",
            "fee": "0.0025",
            "tokens":
            [
                {
                    "blockchain": "bsc",
                    "address": "0x3203c9e46ca618c8c1ce5dc67e7e9d75f5da2377",
                    "symbol": "mbox",
                    "decimals": "18"
                },
                {
                    "blockchain": "bsc",
                    "address": "0xbb4cdb9cbd36b01bd1cbaebf2de08d9173bc095c",
                    "symbol": "wbnb",
                    "decimals": "18"
                }
            ],
            "tickSpacing": "50"
        },
        /**********/
    ]
}
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kaiko.com/rest-api/data-feeds/reference-data/basic-tier/on-chain-pools.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
